Уязвимость BDU:2022-00608

Дата: 06.01.2022. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-00608.

Наименование уязвимости: Уязвимость компонента app/admin/routing/edit-bgp-mapping-search.php веб-приложения для управления IP-адресами phpipam, позволяющая нарушителю выполнить произвольные SQL-запросы.

Описание уязвимости: Уязвимость компонента app/admin/routing/edit-bgp-mapping-search.php веб-приложения для управления IP-адресами phpipam связана с непринятием мер по защите структуры запроса SQL при обработке параметра «subnet». Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, выполнить произвольные SQL-запросы
Уязвимое ПО: Сетевое средство, Сетевое программное средство phpIPAM 1.4.4 |

Наименование ОС и тип аппаратной платформы:
Дата выявления: 06.01.2022.
CVSS 2.0: AV:N/AC:M/Au:S/C:C/I:C/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 8,5)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,2)

Возможные меры по устранению:
Использование рекомендаций:
https://github.com/phpipam/phpipam/releases/tag/v1.4.5
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2022-23046.

Тип ошибки CWE: CWE-89
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
http://packetstormsecurity.com/files/165683/PHPIPAM-1.4.4-SQL-Injection.html
https://fluidattacks.com/advisories/mercury/
https://github.com/phpipam/phpipam/releases/tag/v1.4.5
https://nvd.nist.gov/vuln/detail/CVE-2022-23046

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.